# VM linux pour dev @ epita Toulouse

## Utiliser

1. installer VirtualBox https://www.virtualbox.org/wiki/Downloads
2. télécharger la vm au format .ova
3. importer la vm dans virtualbox (double cliquer le fichier)

## Contribuer

### Fabrication

La fabrication de la machine virtuelle est assez farfelue mais ça marche assez bien.
Les étapes de la fabrication sont les suivantes :

- création d'un ISO d'installation archlinux
    - généré à partir du profil dans `./profile`
    - contient un script d'installation automatisé qui est exécuté au boot `./profile/airootfs/root/.zlogin`

- création d'une VM vide avec VirtualBox
    - bloc de commandes dans `./build.sh`

- Boot de la VM sur l'ISO
    - aussi dans `./build.sh`

- l'ISO installe la distribution
    - installe arch `archinstall` avec la configuration `./profile/airootfs/root/user_*.json`
    - quelques ajustements avec `./profile/airootfs/root/post_install.sh`
    - stop une fois la machine virtuelle configurée

- exporte la VM au format OVA dans `./output/epitls.ova`
